XMLUtil (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.shared.utils

## Class XMLUtil

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.shared.utils.XMLUtil

-     public class XMLUtil
      extends Object

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<com.google.gwt.xml.client.Element>` | `getElementChildren(com.google.gwt.xml.client.Element parent)`
    `static List<com.google.gwt.xml.client.Element>` | `getElementChildren(com.google.gwt.xml.client.Element parent, String tagName)`
    `static String` | `getEntireContent(com.google.gwt.xml.client.Node parent)`
    `static com.google.gwt.xml.client.Element` | `getFirstElementChild(com.google.gwt.xml.client.Element parent)`
    `static com.google.gwt.xml.client.Element` | `getFirstElementChild(com.google.gwt.xml.client.Element parent, String tagName)`
    `static String` | `getTextContent(com.google.gwt.xml.client.Element parent)`
    `static org.gcube.resourcemanagement.support.shared.types.datamodel.AtomicTreeNode` | `XMLToTree(String xml, String rootName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLUtil

          public XMLUtil()

  - ### Method Detail

    - #### XMLToTree

          public static org.gcube.resourcemanagement.support.shared.types.datamodel.AtomicTreeNode XMLToTree(String xml,
                                                                                                             String rootName)
                                                                                                      throws Exception

      Throws:
        `Exception`

    - #### getFirstElementChild

          public static com.google.gwt.xml.client.Element getFirstElementChild(com.google.gwt.xml.client.Element parent)

    - #### getFirstElementChild

          public static com.google.gwt.xml.client.Element getFirstElementChild(com.google.gwt.xml.client.Element parent,
                                                                               String tagName)

    - #### getElementChildren

          public static List<com.google.gwt.xml.client.Element> getElementChildren(com.google.gwt.xml.client.Element parent)

    - #### getElementChildren

          public static List<com.google.gwt.xml.client.Element> getElementChildren(com.google.gwt.xml.client.Element parent,
                                                                                   String tagName)

    - #### getTextContent

          public static String getTextContent(com.google.gwt.xml.client.Element parent)

    - #### getEntireContent

          public static String getEntireContent(com.google.gwt.xml.client.Node parent)

Copyright © 2017. All Rights Reserved.